Post by v-v » Thu Sep 27, 2012 4:30 am

Hi, is there any news regarding multi-language version or version that allow append insted deleting old data? (for 1.4.9.x)

Thanks!

v-v
Active Member

Posts

Joined
Wed Jun 16, 2010 10:09 pm

Post by Valentine88 » Tue Mar 05, 2013 6:40 am

_x000D_

Anyone with this error..
I don't know if this is the correct way to fix this but here's what I did:

find all: "_x000D_"
replace all with: "<br>"

save as xls

Fixed..

Newbie

Posts

Joined
Sun Jan 20, 2013 5:02 pm

Post by mikispace » Sun May 26, 2013 1:58 am

I have just installed this wonderful tool on my opencart version 1.5.5.1 but unfortunately get this error when I try to download.

Fatal error: require_once() [function.require]: Failed opening required 'Classes/PHPExcel.php' (include_path='.:/usr/share/pear:/usr/share/php') in /home1/mywebsite/public_html/admin/model/tool/export.php on line 2469

Not sure how to proceed, any help out there ?

EDIT !
Oooops silly me !
I forgot to put the system files in the PHPExcel folder, that was the problem.
Happily downloading now !

Newbie

Posts

Joined
Tue May 21, 2013 12:06 am

Post by knight_47 » Tue May 27, 2014 5:23 am

Can I use this to export products from 1.4.9 and then reimport them into a 1.5.6 OpenCart installation?

New member

Posts

Joined
Fri Mar 11, 2011 2:45 pm

Post by JNeuhoff » Wed May 28, 2014 12:25 am

knight_47 wrote:Can I use this to export products from 1.4.9 and then reimport them into a 1.5.6 OpenCart installation?
Yes, you can. But bear in mind that formats of the worksheets are different between 1.5.6 and 1.4.9 versions of the Export/Import tool, so you'd have to copy and paste the old spreadsheet columns to the corresponding new ones first before Import.

Override Engine * Integrated VQMod * Unused Images Manager * Instant Option Price Calculator * Number Option * Google Rich Snippets * Google Tag Manager * Export/Import Tool * SpamBot Buster * Survey Plus


User avatar
Expert Member

Posts

Joined
Wed Dec 05, 2007 3:38 am


Post by TobyTheFox » Mon Jun 09, 2014 2:47 am

Hi I'm new to OpenCart so don't be mean ;)

Just started using this very useful tool and it has worked fine the first few times. Only now when i try to export the Spreadsheet, i receive an internal server error (500), and the opencart error log is blank. Do you know how i can fix this?

Thanks

New member

Posts

Joined
Mon Jun 09, 2014 1:28 am

Post by JNeuhoff » Tue Jun 10, 2014 8:12 pm

TobyTheFox wrote:Hi I'm new to OpenCart so don't be mean ;)

Just started using this very useful tool and it has worked fine the first few times. Only now when i try to export the Spreadsheet, i receive an internal server error (500), and the opencart error log is blank. Do you know how i can fix this?

Thanks
Welcome to OpenCart! To answer your question, first thing to do is to inspect the server's error_log (ask webhost for it), and OpenCart's system/logs/error.txt. It could be a timeout issue, but this is just a guess without seeing the log entries.

Override Engine * Integrated VQMod * Unused Images Manager * Instant Option Price Calculator * Number Option * Google Rich Snippets * Google Tag Manager * Export/Import Tool * SpamBot Buster * Survey Plus


User avatar
Expert Member

Posts

Joined
Wed Dec 05, 2007 3:38 am


Post by thbr02 » Thu Oct 02, 2014 1:18 am

Installed Export/Import tool today (opencart-1-5-1-to-1-5-6-x-export-import-multilingual-2-9.zip). when trying to export I get the error:

Code: Select all

Option value 'svart --> L' is defined multiple times within its option!
In the Settings-tab please activate the following:
Use option_value_id instead of option_value name in worksheet 'ProductOptionValues'
When I have changed the settings an click "Update Settings" nothing happens. The changes will not be saved.

Active Member

Posts

Joined
Wed Jun 22, 2011 10:30 pm
Location - Sweden

Post by thbr02 » Thu Oct 02, 2014 2:16 am

thbr02 wrote:Installed Export/Import tool today (opencart-1-5-1-to-1-5-6-x-export-import-multilingual-2-9.zip). when trying to export I get the error:

Code: Select all

Option value 'svart --> L' is defined multiple times within its option!
In the Settings-tab please activate the following:
Use option_value_id instead of option_value name in worksheet 'ProductOptionValues'
When I have changed the settings an click "Update Settings" nothing happens. The changes will not be saved.
Sorry, wrote this at the wrong place..... I did not see the OC version 1.4.9

Active Member

Posts

Joined
Wed Jun 22, 2011 10:30 pm
Location - Sweden

Post by JNeuhoff » Thu Oct 02, 2014 2:47 am

I am unable to reproduce your problem. If you send me a PM with your OpenCart and FTP login details I am happy to take a look at it.

Override Engine * Integrated VQMod * Unused Images Manager * Instant Option Price Calculator * Number Option * Google Rich Snippets * Google Tag Manager * Export/Import Tool * SpamBot Buster * Survey Plus


User avatar
Expert Member

Posts

Joined
Wed Dec 05, 2007 3:38 am


Post by Leo2 » Sun Oct 04, 2015 6:32 pm

JNeuhoff wrote:In file admin/model/tool/export.php, in function
populateProductsWorksheet, after the line containing

$storeIds = $this->getStoreIdsForProducts( $database );

add this:

$database->query( "SET SQL_BIG_SELECTS=1" );
This doesn't help for version 2.26. I asked couple times the developer through their website where to insert that line in the code, but with no answer.

Can anybody help? I have opencart 1.5.6.4, the tool worked initially, when there was less than 500 products, Now I have 800 and the error appeared.

Newbie

Posts

Joined
Sun Oct 04, 2015 6:19 pm
Who is online

Users browsing this forum: Google [Bot] and 3 guests